#include <math.h>

void getRodConBasicGradient (
  double bKh,
  double bKw,
  double tK,
  double L0,
  double *iniMatTanRB,
  double *iniMatNorRB,
  double *iniRefTanRO,
  double *iniRefNorRO,
  double rtx,
  double *rotationAnglesRB,
  double *x1,
  double *x2,
  double thetax,
  double *energyGradient)
{
  double t1;
  double t10;
  double t100;
  double t102;
  double t1035;
  double t1036;
  double t1037;
  double t104;
  double t1040;
  double t1043;
  double t1046;
  double t1049;
  double t105;
  double t1055;
  double t1061;
  double t1069;
  double t107;
  double t1072;
  double t1077;
  double t108;
  double t1080;
  double t1089;
  double t109;
  double t1090;
  double t1093;
  double t11;
  double t1101;
  double t1107;
  double t111;
  double t1113;
  double t1119;
  double t112;
  double t1124;
  double t1129;
  double t113;
  double t1131;
  double t114;
  double t1141;
  double t1144;
  double t1154;
  double t1159;
  double t116;
  double t1173;
  double t1176;
  double t1179;
  double t118;
  double t1185;
  double t1195;
  double t1198;
  double t12;
  double t1213;
  double t1216;
  double t122;
  double t1226;
  double t1241;
  double t1244;
  double t125;
  double t1265;
  double t1268;
  double t128;
  double t1286;
  double t1291;
  double t1294;
  double t13;
  double t1303;
  double t1312;
  double t1318;
  double t1319;
  double t132;
  double t1328;
  double t1337;
  double t136;
  double t138;
  double t1381;
  double t1382;
  double t1385;
  double t1388;
  double t139;
  double t1391;
  double t1394;
  double t14;
  double t140;
  double t1400;
  double t1406;
  double t1414;
  double t1417;
  double t142;
  double t1422;
  double t1425;
  double t143;
  double t1435;
  double t1438;
  double t144;
  double t1446;
  double t145;
  double t1452;
  double t1458;
  double t146;
  double t1464;
  double t1469;
  double t147;
  double t1474;
  double t1476;
  double t1486;
  double t1489;
  double t149;
  double t1499;
  double t15;
  double t1504;
  double t1518;
  double t152;
  double t1521;
  double t1524;
  double t1530;
  double t154;
  double t1540;
  double t1543;
  double t1550;
  double t1558;
  double t1561;
  double t1571;
  double t1586;
  double t1589;
  double t159;
  double t16;
  double t161;
  double t1610;
  double t1613;
  double t1631;
  double t1636;
  double t1639;
  double t1648;
  double t1657;
  double t166;
  double t1664;
  double t1673;
  double t1682;
  double t17;
  double t1726;
  double t1727;
  double t1730;
  double t1733;
  double t1736;
  double t1739;
  double t174;
  double t1745;
  double t175;
  double t1751;
  double t1759;
  double t1762;
  double t1767;
  double t1770;
  double t178;
  double t1780;
  double t1783;
  double t1791;
  double t1797;
  double t18;
  double t1803;
  double t1809;
  double t1814;
  double t1819;
  double t1821;
  double t1831;
  double t1834;
  double t1844;
  double t1849;
  double t186;
  double t1863;
  double t1866;
  double t1869;
  double t1875;
  double t1885;
  double t1888;
  double t189;
  double t19;
  double t1903;
  double t1906;
  double t1916;
  double t1931;
  double t1934;
  double t1955;
  double t1958;
  double t1976;
  double t1981;
  double t1984;
  double t199;
  double t1993;
  double t2;
  double t20;
  double t2002;
  double t2009;
  double t2018;
  double t2027;
  double t205;
  double t2071;
  double t2072;
  double t2075;
  double t2078;
  double t2081;
  double t2084;
  double t2090;
  double t2092;
  double t2096;
  double t2104;
  double t2107;
  double t2112;
  double t2115;
  double t2119;
  double t2125;
  double t2128;
  double t2136;
  double t2138;
  double t2142;
  double t2148;
  double t215;
  double t2154;
  double t2157;
  double t2159;
  double t2164;
  double t2166;
  double t217;
  double t2176;
  double t2179;
  double t2180;
  double t2187;
  double t2189;
  double t2194;
  double t2196;
  double t22;
  double t2208;
  double t221;
  double t2211;
  double t2214;
  double t222;
  double t2220;
  double t2230;
  double t2233;
  double t2248;
  double t225;
  double t2251;
  double t2261;
  double t227;
  double t2276;
  double t2279;
  double t228;
  double t23;
  double t230;
  double t2300;
  double t2303;
  double t231;
  double t232;
  double t2321;
  double t2326;
  double t2329;
  double t2338;
  double t2347;
  double t235;
  double t2354;
  double t236;
  double t2363;
  double t2372;
  double t239;
  double t24;
  double t240;
  double t241;
  double t2418;
  double t2424;
  double t2430;
  double t2433;
  double t2437;
  double t244;
  double t2443;
  double t2447;
  double t245;
  double t2453;
  double t2457;
  double t2463;
  double t2471;
  double t2476;
  double t248;
  double t2488;
  double t25;
  double t2501;
  double t2513;
  double t2516;
  double t2527;
  double t2538;
  double t254;
  double t2556;
  double t2562;
  double t2568;
  double t2595;
  double t2597;
  double t260;
  double t2600;
  double t2607;
  double t261;
  double t2611;
  double t2613;
  double t2616;
  double t2619;
  double t2622;
  double t2624;
  double t2626;
  double t2632;
  double t2637;
  double t2643;
  double t2648;
  double t2654;
  double t2662;
  double t2667;
  double t2679;
  double t269;
  double t2692;
  double t27;
  double t270;
  double t2704;
  double t2707;
  double t2718;
  double t2729;
  double t273;
  double t2747;
  double t275;
  double t2753;
  double t2759;
  double t277;
  double t2787;
  double t2788;
  double t2791;
  double t2795;
  double t2797;
  double t2802;
  double t2804;
  double t2808;
  double t281;
  double t2813;
  double t2819;
  double t2831;
  double t284;
  double t2845;
  double t285;
  double t2857;
  double t2860;
  double t2871;
  double t2882;
  double t29;
  double t2900;
  double t2907;
  double t2914;
  double t2944;
  double t2947;
  double t295;
  double t2954;
  double t2966;
  double t297;
  double t298;
  double t3;
  double t30;
  double t300;
  double t303;
  double t304;
  double t307;
  double t310;
  double t316;
  double t317;
  double t32;
  double t323;
  double t324;
  double t330;
  double t335;
  double t337;
  double t338;
  double t339;
  double t343;
  double t345;
  double t35;
  double t355;
  double t358;
  double t368;
  double t373;
  double t374;
  double t378;
  double t390;
  double t393;
  double t397;
  double t398;
  double t4;
  double t403;
  double t406;
  double t416;
  double t419;
  double t425;
  double t43;
  double t436;
  double t439;
  double t444;
  double t45;
  double t451;
  double t457;
  double t46;
  double t468;
  double t47;
  double t471;
  double t474;
  double t476;
  double t477;
  double t478;
  double t48;
  double t481;
  double t491;
  double t497;
  double t498;
  double t5;
  double t50;
  double t500;
  double t508;
  double t509;
  double t510;
  double t513;
  double t520;
  double t521;
  double t523;
  double t526;
  double t53;
  double t533;
  double t534;
  double t536;
  double t539;
  double t54;
  double t544;
  double t548;
  double t549;
  double t553;
  double t556;
  double t56;
  double t564;
  double t576;
  double t58;
  double t581;
  double t584;
  double t59;
  double t593;
  double t599;
  double t6;
  double t603;
  double t609;
  double t61;
  double t612;
  double t62;
  double t622;
  double t623;
  double t629;
  double t63;
  double t633;
  double t639;
  double t64;
  double t65;
  double t658;
  double t67;
  double t673;
  double t68;
  double t680;
  double t687;
  double t688;
  double t689;
  double t69;
  double t690;
  double t692;
  double t695;
  double t698;
  double t701;
  double t707;
  double t71;
  double t713;
  double t72;
  double t721;
  double t724;
  double t729;
  double t732;
  double t74;
  double t742;
  double t745;
  double t753;
  double t759;
  double t765;
  double t771;
  double t776;
  double t78;
  double t781;
  double t783;
  double t793;
  double t796;
  double t8;
  double t80;
  double t806;
  double t81;
  double t811;
  double t825;
  double t828;
  double t83;
  double t831;
  double t837;
  double t84;
  double t847;
  double t850;
  double t86;
  double t862;
  double t865;
  double t868;
  double t878;
  double t89;
  double t893;
  double t896;
  double t9;
  double t917;
  double t92;
  double t920;
  double t93;
  double t938;
  double t94;
  double t943;
  double t946;
  double t95;
  double t955;
  double t96;
  double t964;
  double t97;
  double t971;
  double t98;
  double t980;
  double t989;
  double t999;
  t1 = x2[0];
  t4 = x1[0];
  t2 = t1 - 0.1e1 * t4;
  t3 = t2 * t2;
  t15 = x2[1];
  t18 = x1[1];
  t5 = t15 - 0.1e1 * t18;
  t6 = t5 * t5;
  t24 = x2[2];
  t25 = x1[2];
  t8 = t24 - 0.1e1 * t25;
  t9 = t8 * t8;
  t10 = t3 + t6 + t9;
  t11 = sqrt(t10);
  t12 = 0.1e1 / t11;
  t13 = t12 * t5;
  t27 = iniRefTanRO[0];
  t14 = t27 * t12;
  t16 = 0.1e1 * t14 * t2;
  t30 = iniRefTanRO[1];
  t17 = t30 * t12;
  t19 = 0.1e1 * t17 * t5;
  t32 = iniRefTanRO[2];
  t20 = t32 * t12;
  t22 = 0.1e1 * t20 * t8;
  t23 = t16 + t19 + t22;
  t29 = 0.1e1 * t17 * t8 - 0.1e1 * t20 * t5;
  t35 = -0.1e1 * t14 * t8 + 0.1e1 * t20 * t2;
  t43 = 0.1e1 * t14 * t5 - 0.1e1 * t17 * t2;
  t54 = iniRefNorRO[0];
  t56 = iniRefNorRO[1];
  t59 = iniRefNorRO[2];
  t45 = t29 * t54 + t35 * t56 + t43 * t59;
  t46 = 0.1e1 + t16 + t19 + t22;
  t47 = 0.1e1 / t46;
  t48 = t45 * t47;
  t50 = t23 * t59 + t29 * t56 - t35 * t54 + t43 * t48;
  t53 = t12 * t8;
  t58 = t23 * t56 - t29 * t59 + t35 * t48 + t43 * t54;
  t61 = 0.1e1 * t13 * t50 - 0.1e1 * t53 * t58;
  t62 = cos(rtx);
  t92 = rotationAnglesRB[2];
  t63 = cos(t92);
  t94 = rotationAnglesRB[1];
  t64 = cos(t94);
  t65 = t63 * t64;
  t67 = sin(t94);
  t68 = t63 * t67;
  t97 = rotationAnglesRB[0];
  t69 = sin(t97);
  t71 = sin(t92);
  t72 = cos(t97);
  t74 = t68 * t69 - t71 * t72;
  t78 = t68 * t72 + t69 * t71;
  t109 = iniMatTanRB[0];
  t111 = iniMatTanRB[1];
  t116 = iniMatTanRB[2];
  t80 = t109 * t65 + t111 * t74 + t116 * t78;
  t81 = t80 * t12;
  t83 = 0.1e1 * t81 * t2;
  t84 = t71 * t64;
  t86 = t71 * t67;
  t89 = t63 * t72 + t69 * t86;
  t93 = -t63 * t69 + t72 * t86;
  t95 = t109 * t84 + t111 * t89 + t116 * t93;
  t96 = t95 * t12;
  t98 = 0.1e1 * t96 * t5;
  t100 = t64 * t69;
  t102 = t64 * t72;
  t104 = t100 * t111 + t102 * t116 - t109 * t67;
  t105 = t104 * t12;
  t107 = 0.1e1 * t105 * t8;
  t108 = t83 + t98 + t107;
  t136 = iniMatNorRB[0];
  t140 = iniMatNorRB[1];
  t146 = iniMatNorRB[2];
  t112 = t136 * t65 + t140 * t74 + t146 * t78;
  t113 = t108 * t112;
  t114 = t81 * t8;
  t118 = -0.1e1 * t114 + 0.1e1 * t105 * t2;
  t122 = t100 * t140 + t102 * t146 - t136 * t67;
  t125 = 0.1e1 * t81 * t5;
  t128 = t125 - 0.1e1 * t96 * t2;
  t132 = t136 * t84 + t140 * t89 + t146 * t93;
  t138 = 0.1e1 * t96 * t8 - 0.1e1 * t105 * t5;
  t139 = t138 * t112;
  t142 = t118 * t132 + t122 * t128 + t139;
  t143 = 0.1e1 + t83 + t98 + t107;
  t144 = 0.1e1 / t143;
  t145 = t142 * t144;
  t147 = t118 * t122 - t128 * t132 + t138 * t145 + t113;
  t149 = sin(rtx);
  t152 = t118 * t112;
  t154 = t108 * t122 + t128 * t145 + t132 * t138 - t152;
  t159 = t128 * t112;
  t161 = t108 * t132 + t118 * t145 - t122 * t138 + t159;
  t166 = t12 * t2;
  t174 = 0.1e1 - t62;
  t175 = (0.1e1 * t166 * t147 + 0.1e1 * t13 * t161 + 0.1e1 * t53 * t154) * t174;
  t178 = t62 * t147 + t149 * (0.1e1 * t13 * t154 - 0.1e1 * t53 * t161) + 0.1e1 * t175 * t166;
  t186 = t23 * t54 + t29 * t48 + t35 * t59 - t43 * t56;
  t189 = -0.1e1 * t166 * t50 + 0.1e1 * t53 * t186;
  t199 = t62 * t161 + t149 * (-0.1e1 * t166 * t154 + 0.1e1 * t53 * t147) + 0.1e1 * t13 * t175;
  t205 = 0.1e1 * t166 * t58 - 0.1e1 * t13 * t186;
  t215 = t62 * t154 + t149 * (0.1e1 * t166 * t161 - 0.1e1 * t13 * t147) + 0.1e1 * t175 * t53;
  t217 = t178 * t61 + t189 * t199 + t205 * t215;
  t221 = t178 * t186 + t199 * t58 + t215 * t50;
  t222 = atan2(t217, t221);
  t225 = 0.1e1 / L0;
  t227 = t12 / t10;
  t228 = t227 * t5;
  t230 = 0.2e1 * t4;
  t231 = -0.2e1 * t1 + t230;
  t232 = t50 * t231;
  t235 = t27 * t227;
  t236 = t2 * t231;
  t239 = 0.1e1 * t14;
  t240 = t30 * t227;
  t241 = t5 * t231;
  t244 = t32 * t227;
  t245 = t8 * t231;
  t248 = -0.5000000000e0 * t235 * t236 - t239 - 0.5000000000e0 * t240 * t241 - 0.5000000000e0 * t244 * t245;
  t254 = -0.5000000000e0 * t240 * t245 + 0.5000000000e0 * t244 * t241;
  t260 = 0.1e1 * t20;
  t261 = 0.5000000000e0 * t235 * t245 - 0.5000000000e0 * t244 * t236 - t260;
  t269 = 0.1e1 * t17;
  t270 = -0.5000000000e0 * t235 * t241 + 0.5000000000e0 * t240 * t236 + t269;
  t273 = (t254 * t54 + t261 * t56 + t270 * t59) * t47;
  t275 = t46 * t46;
  t277 = t45 / t275;
  t297 = t248 * t277;
  t281 = t248 * t59 + t254 * t56 - t261 * t54 + t270 * t48 + t273 * t43 - t297 * t43;
  t284 = t227 * t8;
  t285 = t58 * t231;
  t295 = t248 * t56 - t254 * t59 + t261 * t48 + t270 * t54 + t273 * t35 - t297 * t35;
  t298 = -0.5000000000e0 * t228 * t232 + 0.1e1 * t13 * t281 + 0.5000000000e0 * t284 * t285 - 0.1e1 * t53 * t295;
  t300 = t80 * t227;
  t303 = 0.1e1 * t81;
  t304 = t95 * t227;
  t307 = t104 * t227;
  t310 = -0.5000000000e0 * t300 * t236 - t303 - 0.5000000000e0 * t304 * t241 - 0.5000000000e0 * t307 * t245;
  t316 = 0.1e1 * t105;
  t317 = 0.5000000000e0 * t300 * t245 - 0.5000000000e0 * t307 * t236 - t316;
  t323 = 0.1e1 * t96;
  t324 = -0.5000000000e0 * t300 * t241 + 0.5000000000e0 * t304 * t236 + t323;
  t330 = -0.5000000000e0 * t304 * t245 + 0.5000000000e0 * t307 * t241;
  t335 = (t112 * t330 + t122 * t324 + t132 * t317) * t144;
  t337 = t143 * t143;
  t338 = 0.1e1 / t337;
  t339 = t142 * t338;
  t343 = -t138 * t310 * t339 + t112 * t310 + t122 * t317 - t132 * t324 + t138 * t335 + t145 * t330;
  t345 = t154 * t231;
  t355 = -t128 * t310 * t339 - t112 * t317 + t122 * t310 + t128 * t335 + t132 * t330 + t145 * t324;
  t358 = t161 * t231;
  t368 = -t118 * t310 * t339 + t112 * t324 + t118 * t335 - t122 * t330 + t132 * t310 + t145 * t317;
  t373 = t227 * t2;
  t374 = t147 * t231;
  t378 = 0.1e1 * t12 * t147;
  t390 = (-0.5000000000e0 * t373 * t374 - t378 + 0.1e1 * t166 * t343 - 0.5000000000e0 * t228 * t358 + 0.1e1 * t13 * t368 - 0.5000000000e0 * t284 * t345 + 0.1e1 * t53 * t355) * t174;
  t393 = t373 * t231;
  t397 = 0.1e1 * t175 * t12;
  t398 = t62 * t343 + t149 * (-0.5000000000e0 * t228 * t345 + 0.1e1 * t13 * t355 + 0.5000000000e0 * t284 * t358 - 0.1e1 * t53 * t368) + 0.1e1 * t390 * t166 - 0.5000000000e0 * t175 * t393 - t397;
  t403 = 0.1e1 * t12 * t50;
  t406 = t186 * t231;
  t416 = t248 * t54 + t254 * t48 + t261 * t59 - t270 * t56 + t273 * t29 - t29 * t297;
  t419 = 0.5000000000e0 * t373 * t232 + t403 - 0.1e1 * t166 * t281 - 0.5000000000e0 * t284 * t406 + 0.1e1 * t53 * t416;
  t425 = 0.1e1 * t12 * t154;
  t436 = t228 * t231;
  t439 = t62 * t368 + t149 * (0.5000000000e0 * t373 * t345 + t425 - 0.1e1 * t166 * t355 - 0.5000000000e0 * t284 * t374 + 0.1e1 * t53 * t343) + 0.1e1 * t390 * t13 - 0.5000000000e0 * t175 * t436;
  t444 = 0.1e1 * t12 * t58;
  t451 = -0.5000000000e0 * t373 * t285 - t444 + 0.1e1 * t166 * t295 + 0.5000000000e0 * t228 * t406 - 0.1e1 * t13 * t416;
  t457 = 0.1e1 * t12 * t161;
  t468 = t284 * t231;
  t471 = t62 * t355 + t149 * (-0.5000000000e0 * t373 * t358 - t457 + 0.1e1 * t166 * t368 + 0.5000000000e0 * t228 * t374 - 0.1e1 * t13 * t343) + 0.1e1 * t390 * t53 - 0.5000000000e0 * t175 * t468;
  t474 = 0.1e1 / t221;
  t476 = t217 * t217;
  t477 = t221 * t221;
  t478 = 0.1e1 / t477;
  t481 = 0.1e1 / (t476 * t478 + 0.1e1);
  t491 = t478 * t481;
  t497 = t144 * t138;
  t498 = cos(thetax);
  t500 = sin(thetax);
  t508 = 0.1e1 * t166 * t186 + 0.1e1 * t13 * t58 + 0.1e1 * t53 * t50;
  t509 = 0.1e1 - t498;
  t510 = t508 * t509;
  t513 = t498 * t50 + t500 * t205 + 0.1e1 * t510 * t53;
  t520 = t498 * t58 + t500 * t189 + 0.1e1 * t510 * t13;
  t521 = t53 * t520;
  t523 = 0.1e1 * t13 * t513 - 0.1e1 * t521;
  t526 = t144 * t118;
  t533 = t498 * t186 + t500 * t61 + 0.1e1 * t510 * t166;
  t534 = t53 * t533;
  t536 = -0.1e1 * t166 * t513 + 0.1e1 * t534;
  t539 = t128 * t144;
  t544 = 0.1e1 * t166 * t520 - 0.1e1 * t13 * t533;
  t548 = bKh * (0.2e1 * t497 * t523 + 0.2e1 * t526 * t536 + 0.2e1 * t539 * t544);
  t549 = t338 * t138;
  t553 = t144 * t330;
  t556 = t513 * t231;
  t564 = 0.1e1 * t12 * t186;
  t576 = (-0.5000000000e0 * t373 * t406 - t564 + 0.1e1 * t166 * t416 - 0.5000000000e0 * t228 * t285 + 0.1e1 * t13 * t295 - 0.5000000000e0 * t284 * t232 + 0.1e1 * t53 * t281) * t509;
  t581 = t498 * t281 + t500 * t451 + 0.1e1 * t576 * t53 - 0.5000000000e0 * t510 * t468;
  t584 = t520 * t231;
  t593 = t498 * t295 + t500 * t419 + 0.1e1 * t576 * t13 - 0.5000000000e0 * t510 * t436;
  t599 = t338 * t118;
  t603 = t144 * t317;
  t609 = 0.1e1 * t12 * t513;
  t612 = t533 * t231;
  t622 = 0.1e1 * t510 * t12;
  t623 = t498 * t416 + t500 * t298 + 0.1e1 * t576 * t166 - 0.5000000000e0 * t510 * t393 - t622;
  t629 = t338 * t128;
  t633 = t144 * t324;
  t639 = 0.1e1 * t12 * t520;
  t658 = bKw * (-0.2e1 * t497 * t533 - 0.2e1 * t526 * t520 - 0.2e1 * t539 * t513);
  t687 = 0.2e1 * t18;
  t688 = -0.2e1 * t15 + t687;
  t689 = t50 * t688;
  t692 = t2 * t688;
  t695 = t5 * t688;
  t698 = t8 * t688;
  t701 = -0.5000000000e0 * t235 * t692 - 0.5000000000e0 * t240 * t695 - t269 - 0.5000000000e0 * t244 * t698;
  t707 = -0.5000000000e0 * t240 * t698 + 0.5000000000e0 * t244 * t695 + t260;
  t713 = 0.5000000000e0 * t235 * t698 - 0.5000000000e0 * t244 * t692;
  t721 = -0.5000000000e0 * t235 * t695 - t239 + 0.5000000000e0 * t240 * t692;
  t724 = (t54 * t707 + t56 * t713 + t59 * t721) * t47;
  t729 = -t277 * t43 * t701 + t43 * t724 + t48 * t721 - t54 * t713 + t56 * t707 + t59 * t701;
  t732 = t58 * t688;
  t742 = -t277 * t35 * t701 + t35 * t724 + t48 * t713 + t54 * t721 + t56 * t701 - t59 * t707;
  t745 = -0.5000000000e0 * t228 * t689 - t403 + 0.1e1 * t13 * t729 + 0.5000000000e0 * t284 * t732 - 0.1e1 * t53 * t742;
  t753 = -0.5000000000e0 * t300 * t692 - 0.5000000000e0 * t304 * t695 - t323 - 0.5000000000e0 * t307 * t698;
  t759 = 0.5000000000e0 * t300 * t698 - 0.5000000000e0 * t307 * t692;
  t765 = -0.5000000000e0 * t300 * t695 - t303 + 0.5000000000e0 * t304 * t692;
  t771 = -0.5000000000e0 * t304 * t698 + 0.5000000000e0 * t307 * t695 + t316;
  t776 = (t112 * t771 + t122 * t765 + t132 * t759) * t144;
  t673 = t138 * t339;
  t781 = t112 * t753 + t122 * t759 - t132 * t765 + t138 * t776 + t145 * t771 - t673 * t753;
  t783 = t154 * t688;
  t680 = t128 * t339;
  t793 = -t112 * t759 + t122 * t753 + t128 * t776 + t132 * t771 + t145 * t765 - t680 * t753;
  t796 = t161 * t688;
  t690 = t118 * t339;
  t806 = t112 * t765 + t118 * t776 - t122 * t771 + t132 * t753 + t145 * t759 - t690 * t753;
  t811 = t147 * t688;
  t825 = (-0.5000000000e0 * t373 * t811 + 0.1e1 * t166 * t781 - 0.5000000000e0 * t228 * t796 - t457 + 0.1e1 * t13 * t806 - 0.5000000000e0 * t284 * t783 + 0.1e1 * t53 * t793) * t174;
  t828 = t373 * t688;
  t831 = t62 * t781 + t149 * (-0.5000000000e0 * t228 * t783 - t425 + 0.1e1 * t13 * t793 + 0.5000000000e0 * t284 * t796 - 0.1e1 * t53 * t806) + 0.1e1 * t825 * t166 - 0.5000000000e0 * t175 * t828;
  t837 = t186 * t688;
  t847 = -t277 * t29 * t701 + t29 * t724 + t48 * t707 + t54 * t701 - t56 * t721 + t59 * t713;
  t850 = 0.5000000000e0 * t373 * t689 - 0.1e1 * t166 * t729 - 0.5000000000e0 * t284 * t837 + 0.1e1 * t53 * t847;
  t865 = t228 * t688;
  t868 = t62 * t806 + t149 * (0.5000000000e0 * t373 * t783 - 0.1e1 * t166 * t793 - 0.5000000000e0 * t284 * t811 + 0.1e1 * t53 * t781) + 0.1e1 * t825 * t13 - 0.5000000000e0 * t175 * t865 - t397;
  t878 = -0.5000000000e0 * t373 * t732 + 0.1e1 * t166 * t742 + 0.5000000000e0 * t228 * t837 + t564 - 0.1e1 * t13 * t847;
  t893 = t284 * t688;
  t896 = t62 * t793 + t149 * (-0.5000000000e0 * t373 * t796 + 0.1e1 * t166 * t806 + 0.5000000000e0 * t228 * t811 + t378 - 0.1e1 * t13 * t781) + 0.1e1 * t825 * t53 - 0.5000000000e0 * t175 * t893;
  t917 = t144 * t771;
  t920 = t513 * t688;
  t938 = (-0.5000000000e0 * t373 * t837 + 0.1e1 * t166 * t847 - 0.5000000000e0 * t228 * t732 - t444 + 0.1e1 * t13 * t742 - 0.5000000000e0 * t284 * t689 + 0.1e1 * t53 * t729) * t509;
  t943 = t498 * t729 + t500 * t878 + 0.1e1 * t938 * t53 - 0.5000000000e0 * t510 * t893;
  t946 = t520 * t688;
  t955 = t498 * t742 + t500 * t850 + 0.1e1 * t938 * t13 - 0.5000000000e0 * t510 * t865 - t622;
  t964 = t144 * t759;
  t971 = t533 * t688;
  t980 = t498 * t847 + t500 * t745 + 0.1e1 * t938 * t166 - 0.5000000000e0 * t510 * t828;
  t989 = t144 * t765;
  t999 = 0.1e1 * t12 * t533;
  t1035 = 0.2e1 * t25;
  t1036 = -0.2e1 * t24 + t1035;
  t1037 = t50 * t1036;
  t1040 = t2 * t1036;
  t1043 = t5 * t1036;
  t1046 = t8 * t1036;
  t1049 = -0.5000000000e0 * t235 * t1040 - 0.5000000000e0 * t240 * t1043 - 0.5000000000e0 * t244 * t1046 - t260;
  t1055 = -0.5000000000e0 * t240 * t1046 - t269 + 0.5000000000e0 * t244 * t1043;
  t1061 = 0.5000000000e0 * t235 * t1046 + t239 - 0.5000000000e0 * t244 * t1040;
  t1069 = -0.5000000000e0 * t235 * t1043 + 0.5000000000e0 * t240 * t1040;
  t1072 = (t1055 * t54 + t1061 * t56 + t1069 * t59) * t47;
  t862 = t1049 * t277;
  t1077 = t1049 * t59 + t1055 * t56 - t1061 * t54 + t1069 * t48 + t1072 * t43 - t43 * t862;
  t1080 = t58 * t1036;
  t1090 = t1049 * t56 - t1055 * t59 + t1061 * t48 + t1069 * t54 + t1072 * t35 - t35 * t862;
  t1093 = -0.5000000000e0 * t228 * t1037 + 0.1e1 * t1077 * t13 + 0.5000000000e0 * t284 * t1080 + t444 - 0.1e1 * t53 * t1090;
  t1101 = -0.5000000000e0 * t300 * t1040 - 0.5000000000e0 * t304 * t1043 - 0.5000000000e0 * t307 * t1046 - t316;
  t1107 = 0.5000000000e0 * t300 * t1046 + t303 - 0.5000000000e0 * t307 * t1040;
  t1113 = -0.5000000000e0 * t300 * t1043 + 0.5000000000e0 * t304 * t1040;
  t1119 = -0.5000000000e0 * t304 * t1046 - t323 + 0.5000000000e0 * t307 * t1043;
  t1124 = (t1107 * t132 + t1113 * t122 + t1119 * t112) * t144;
  t1129 = -t1101 * t138 * t339 + t1101 * t112 + t1107 * t122 - t1113 * t132 + t1119 * t145 + t1124 * t138;
  t1131 = t154 * t1036;
  t1141 = -t1101 * t128 * t339 + t1101 * t122 - t1107 * t112 + t1113 * t145 + t1119 * t132 + t1124 * t128;
  t1144 = t161 * t1036;
  t1154 = -t1101 * t118 * t339 + t1101 * t132 + t1107 * t145 + t1113 * t112 - t1119 * t122 + t1124 * t118;
  t1159 = t147 * t1036;
  t1173 = (-0.5000000000e0 * t373 * t1159 + 0.1e1 * t166 * t1129 - 0.5000000000e0 * t228 * t1144 + 0.1e1 * t13 * t1154 - 0.5000000000e0 * t284 * t1131 - t425 + 0.1e1 * t53 * t1141) * t174;
  t1176 = t373 * t1036;
  t1179 = t62 * t1129 + t149 * (-0.5000000000e0 * t228 * t1131 + 0.1e1 * t13 * t1141 + 0.5000000000e0 * t284 * t1144 + t457 - 0.1e1 * t53 * t1154) + 0.1e1 * t1173 * t166 - 0.5000000000e0 * t175 * t1176;
  t1185 = t186 * t1036;
  t1195 = t1049 * t54 + t1055 * t48 + t1061 * t59 - t1069 * t56 + t1072 * t29 - t29 * t862;
  t1198 = 0.5000000000e0 * t373 * t1037 - 0.1e1 * t166 * t1077 - 0.5000000000e0 * t284 * t1185 - t564 + 0.1e1 * t53 * t1195;
  t1213 = t228 * t1036;
  t1216 = t62 * t1154 + t149 * (0.5000000000e0 * t373 * t1131 - 0.1e1 * t166 * t1141 - 0.5000000000e0 * t284 * t1159 - t378 + 0.1e1 * t53 * t1129) + 0.1e1 * t1173 * t13 - 0.5000000000e0 * t175 * t1213;
  t1226 = -0.5000000000e0 * t373 * t1080 + 0.1e1 * t166 * t1090 + 0.5000000000e0 * t228 * t1185 - 0.1e1 * t13 * t1195;
  t1241 = t284 * t1036;
  t1244 = t62 * t1141 + t149 * (-0.5000000000e0 * t373 * t1144 + 0.1e1 * t166 * t1154 + 0.5000000000e0 * t228 * t1159 - 0.1e1 * t13 * t1129) + 0.1e1 * t1173 * t53 - 0.5000000000e0 * t175 * t1241 - t397;
  t1265 = t144 * t1119;
  t1268 = t513 * t1036;
  t1286 = (-0.5000000000e0 * t373 * t1185 + 0.1e1 * t166 * t1195 - 0.5000000000e0 * t228 * t1080 + 0.1e1 * t1090 * t13 - 0.5000000000e0 * t284 * t1037 - t403 + 0.1e1 * t53 * t1077) * t509;
  t1291 = t498 * t1077 + t500 * t1226 + 0.1e1 * t1286 * t53 - 0.5000000000e0 * t510 * t1241 - t622;
  t1294 = t520 * t1036;
  t1303 = t498 * t1090 + t500 * t1198 + 0.1e1 * t1286 * t13 - 0.5000000000e0 * t510 * t1213;
  t1312 = t144 * t1107;
  t1319 = t533 * t1036;
  t1328 = t498 * t1195 + t500 * t1093 + 0.1e1 * t1286 * t166 - 0.5000000000e0 * t510 * t1176;
  t1337 = t144 * t1113;
  t1381 = 0.2e1 * t1 - t230;
  t1382 = t50 * t1381;
  t1385 = t2 * t1381;
  t1388 = t5 * t1381;
  t1391 = t8 * t1381;
  t1394 = -0.5000000000e0 * t235 * t1385 + t239 - 0.5000000000e0 * t240 * t1388 - 0.5000000000e0 * t244 * t1391;
  t1400 = -0.5000000000e0 * t240 * t1391 + 0.5000000000e0 * t244 * t1388;
  t1406 = 0.5000000000e0 * t235 * t1391 - 0.5000000000e0 * t244 * t1385 + t260;
  t1414 = -0.5000000000e0 * t235 * t1388 + 0.5000000000e0 * t240 * t1385 - t269;
  t1417 = (t1400 * t54 + t1406 * t56 + t1414 * t59) * t47;
  t1089 = t1394 * t277;
  t1422 = -t1089 * t43 + t1394 * t59 + t1400 * t56 - t1406 * t54 + t1414 * t48 + t1417 * t43;
  t1425 = t58 * t1381;
  t1435 = -t1089 * t35 + t1394 * t56 - t1400 * t59 + t1406 * t48 + t1414 * t54 + t1417 * t35;
  t1438 = -0.5000000000e0 * t228 * t1382 + 0.1e1 * t13 * t1422 + 0.5000000000e0 * t284 * t1425 - 0.1e1 * t53 * t1435;
  t1446 = -0.5000000000e0 * t300 * t1385 + t303 - 0.5000000000e0 * t304 * t1388 - 0.5000000000e0 * t307 * t1391;
  t1452 = 0.5000000000e0 * t300 * t1391 - 0.5000000000e0 * t307 * t1385 + t316;
  t1458 = -0.5000000000e0 * t300 * t1388 + 0.5000000000e0 * t304 * t1385 - t323;
  t1464 = -0.5000000000e0 * t304 * t1391 + 0.5000000000e0 * t307 * t1388;
  t1469 = (t112 * t1464 + t122 * t1458 + t132 * t1452) * t144;
  t1474 = -t138 * t1446 * t339 + t112 * t1446 + t122 * t1452 - t132 * t1458 + t138 * t1469 + t145 * t1464;
  t1476 = t154 * t1381;
  t1486 = -t128 * t1446 * t339 - t112 * t1452 + t122 * t1446 + t128 * t1469 + t132 * t1464 + t145 * t1458;
  t1489 = t161 * t1381;
  t1499 = -t118 * t1446 * t339 + t112 * t1458 + t118 * t1469 - t122 * t1464 + t132 * t1446 + t145 * t1452;
  t1504 = t147 * t1381;
  t1518 = (-0.5000000000e0 * t373 * t1504 + t378 + 0.1e1 * t166 * t1474 - 0.5000000000e0 * t228 * t1489 + 0.1e1 * t13 * t1499 - 0.5000000000e0 * t284 * t1476 + 0.1e1 * t53 * t1486) * t174;
  t1521 = t373 * t1381;
  t1524 = t62 * t1474 + t149 * (-0.5000000000e0 * t228 * t1476 + 0.1e1 * t13 * t1486 + 0.5000000000e0 * t284 * t1489 - 0.1e1 * t53 * t1499) + 0.1e1 * t1518 * t166 - 0.5000000000e0 * t175 * t1521 + t397;
  t1530 = t186 * t1381;
  t1540 = -t1089 * t29 + t1394 * t54 + t1400 * t48 + t1406 * t59 - t1414 * t56 + t1417 * t29;
  t1543 = 0.5000000000e0 * t373 * t1382 - t403 - 0.1e1 * t166 * t1422 - 0.5000000000e0 * t284 * t1530 + 0.1e1 * t53 * t1540;
  t1558 = t228 * t1381;
  t1561 = t62 * t1499 + t149 * (0.5000000000e0 * t373 * t1476 - t425 - 0.1e1 * t166 * t1486 - 0.5000000000e0 * t284 * t1504 + 0.1e1 * t53 * t1474) + 0.1e1 * t1518 * t13 - 0.5000000000e0 * t175 * t1558;
  t1571 = -0.5000000000e0 * t373 * t1425 + t444 + 0.1e1 * t166 * t1435 + 0.5000000000e0 * t228 * t1530 - 0.1e1 * t13 * t1540;
  t1586 = t284 * t1381;
  t1589 = t62 * t1486 + t149 * (-0.5000000000e0 * t373 * t1489 + t457 + 0.1e1 * t166 * t1499 + 0.5000000000e0 * t228 * t1504 - 0.1e1 * t13 * t1474) + 0.1e1 * t1518 * t53 - 0.5000000000e0 * t175 * t1586;
  t1610 = t144 * t1464;
  t1613 = t513 * t1381;
  t1631 = (-0.5000000000e0 * t373 * t1530 + t564 + 0.1e1 * t166 * t1540 - 0.5000000000e0 * t228 * t1425 + 0.1e1 * t13 * t1435 - 0.5000000000e0 * t284 * t1382 + 0.1e1 * t53 * t1422) * t509;
  t1636 = t498 * t1422 + t500 * t1571 + 0.1e1 * t1631 * t53 - 0.5000000000e0 * t510 * t1586;
  t1639 = t520 * t1381;
  t1648 = t498 * t1435 + t500 * t1543 + 0.1e1 * t1631 * t13 - 0.5000000000e0 * t510 * t1558;
  t1657 = t144 * t1452;
  t1664 = t533 * t1381;
  t1673 = t498 * t1540 + t500 * t1438 + 0.1e1 * t1631 * t166 - 0.5000000000e0 * t510 * t1521 + t622;
  t1682 = t144 * t1458;
  t1726 = 0.2e1 * t15 - t687;
  t1727 = t50 * t1726;
  t1730 = t2 * t1726;
  t1733 = t5 * t1726;
  t1736 = t8 * t1726;
  t1739 = -0.5000000000e0 * t235 * t1730 - 0.5000000000e0 * t240 * t1733 + t269 - 0.5000000000e0 * t244 * t1736;
  t1745 = -0.5000000000e0 * t240 * t1736 + 0.5000000000e0 * t244 * t1733 - t260;
  t1751 = 0.5000000000e0 * t235 * t1736 - 0.5000000000e0 * t244 * t1730;
  t1759 = -0.5000000000e0 * t235 * t1733 + t239 + 0.5000000000e0 * t240 * t1730;
  t1762 = (t1745 * t54 + t1751 * t56 + t1759 * t59) * t47;
  t1318 = t1739 * t277;
  t1767 = -t1318 * t43 + t1739 * t59 + t1745 * t56 - t1751 * t54 + t1759 * t48 + t1762 * t43;
  t1770 = t58 * t1726;
  t1780 = -t1318 * t35 + t1739 * t56 - t1745 * t59 + t1751 * t48 + t1759 * t54 + t1762 * t35;
  t1783 = -0.5000000000e0 * t228 * t1727 + t403 + 0.1e1 * t13 * t1767 + 0.5000000000e0 * t284 * t1770 - 0.1e1 * t53 * t1780;
  t1791 = -0.5000000000e0 * t300 * t1730 - 0.5000000000e0 * t304 * t1733 + t323 - 0.5000000000e0 * t307 * t1736;
  t1797 = 0.5000000000e0 * t300 * t1736 - 0.5000000000e0 * t307 * t1730;
  t1803 = -0.5000000000e0 * t300 * t1733 + t303 + 0.5000000000e0 * t304 * t1730;
  t1809 = -0.5000000000e0 * t304 * t1736 + 0.5000000000e0 * t307 * t1733 - t316;
  t1814 = (t112 * t1809 + t122 * t1803 + t132 * t1797) * t144;
  t1819 = -t138 * t1791 * t339 + t112 * t1791 + t122 * t1797 - t132 * t1803 + t138 * t1814 + t145 * t1809;
  t1821 = t154 * t1726;
  t1831 = -t128 * t1791 * t339 - t112 * t1797 + t122 * t1791 + t128 * t1814 + t132 * t1809 + t145 * t1803;
  t1834 = t161 * t1726;
  t1844 = -t118 * t1791 * t339 + t112 * t1803 + t118 * t1814 - t122 * t1809 + t132 * t1791 + t145 * t1797;
  t1849 = t147 * t1726;
  t1863 = (-0.5000000000e0 * t373 * t1849 + 0.1e1 * t166 * t1819 - 0.5000000000e0 * t228 * t1834 + t457 + 0.1e1 * t13 * t1844 - 0.5000000000e0 * t284 * t1821 + 0.1e1 * t53 * t1831) * t174;
  t1866 = t373 * t1726;
  t1869 = t62 * t1819 + t149 * (-0.5000000000e0 * t228 * t1821 + t425 + 0.1e1 * t13 * t1831 + 0.5000000000e0 * t284 * t1834 - 0.1e1 * t53 * t1844) + 0.1e1 * t1863 * t166 - 0.5000000000e0 * t175 * t1866;
  t1875 = t186 * t1726;
  t1885 = -t1318 * t29 + t1739 * t54 + t1745 * t48 + t1751 * t59 - t1759 * t56 + t1762 * t29;
  t1888 = 0.5000000000e0 * t373 * t1727 - 0.1e1 * t166 * t1767 - 0.5000000000e0 * t284 * t1875 + 0.1e1 * t53 * t1885;
  t1903 = t228 * t1726;
  t1906 = t62 * t1844 + t149 * (0.5000000000e0 * t373 * t1821 - 0.1e1 * t166 * t1831 - 0.5000000000e0 * t284 * t1849 + 0.1e1 * t53 * t1819) + 0.1e1 * t1863 * t13 - 0.5000000000e0 * t175 * t1903 + t397;
  t1916 = -0.5000000000e0 * t373 * t1770 + 0.1e1 * t166 * t1780 + 0.5000000000e0 * t228 * t1875 - t564 - 0.1e1 * t13 * t1885;
  t1931 = t284 * t1726;
  t1934 = t62 * t1831 + t149 * (-0.5000000000e0 * t373 * t1834 + 0.1e1 * t166 * t1844 + 0.5000000000e0 * t228 * t1849 - t378 - 0.1e1 * t13 * t1819) + 0.1e1 * t1863 * t53 - 0.5000000000e0 * t175 * t1931;
  t1955 = t144 * t1809;
  t1958 = t513 * t1726;
  t1976 = (-0.5000000000e0 * t373 * t1875 + 0.1e1 * t166 * t1885 - 0.5000000000e0 * t228 * t1770 + t444 + 0.1e1 * t13 * t1780 - 0.5000000000e0 * t284 * t1727 + 0.1e1 * t53 * t1767) * t509;
  t1981 = t498 * t1767 + t500 * t1916 + 0.1e1 * t1976 * t53 - 0.5000000000e0 * t510 * t1931;
  t1984 = t520 * t1726;
  t1993 = t498 * t1780 + t500 * t1888 + 0.1e1 * t1976 * t13 - 0.5000000000e0 * t510 * t1903 + t622;
  t2002 = t144 * t1797;
  t2009 = t533 * t1726;
  t2018 = t498 * t1885 + t500 * t1783 + 0.1e1 * t1976 * t166 - 0.5000000000e0 * t510 * t1866;
  t2027 = t144 * t1803;
  t2071 = 0.2e1 * t24 - t1035;
  t2072 = t50 * t2071;
  t2075 = t2 * t2071;
  t2078 = t5 * t2071;
  t2081 = t8 * t2071;
  t2084 = -0.5000000000e0 * t235 * t2075 - 0.5000000000e0 * t240 * t2078 - 0.5000000000e0 * t244 * t2081 + t260;
  t2090 = -0.5000000000e0 * t240 * t2081 + t269 + 0.5000000000e0 * t244 * t2078;
  t2096 = 0.5000000000e0 * t235 * t2081 - t239 - 0.5000000000e0 * t244 * t2075;
  t2104 = -0.5000000000e0 * t235 * t2078 + 0.5000000000e0 * t240 * t2075;
  t2107 = (t2090 * t54 + t2096 * t56 + t2104 * t59) * t47;
  t1550 = t2084 * t277;
  t2112 = -t1550 * t43 + t2084 * t59 + t2090 * t56 - t2096 * t54 + t2104 * t48 + t2107 * t43;
  t2115 = t58 * t2071;
  t2125 = -t1550 * t35 + t2084 * t56 - t2090 * t59 + t2096 * t48 + t2104 * t54 + t2107 * t35;
  t2128 = -0.5000000000e0 * t228 * t2072 + 0.1e1 * t13 * t2112 + 0.5000000000e0 * t284 * t2115 - t444 - 0.1e1 * t53 * t2125;
  t2136 = -0.5000000000e0 * t300 * t2075 - 0.5000000000e0 * t304 * t2078 - 0.5000000000e0 * t307 * t2081 + t316;
  t2142 = 0.5000000000e0 * t300 * t2081 - t303 - 0.5000000000e0 * t307 * t2075;
  t2148 = -0.5000000000e0 * t300 * t2078 + 0.5000000000e0 * t304 * t2075;
  t2154 = -0.5000000000e0 * t304 * t2081 + t323 + 0.5000000000e0 * t307 * t2078;
  t2159 = (t112 * t2154 + t122 * t2148 + t132 * t2142) * t144;
  t2164 = -t138 * t2136 * t339 + t112 * t2136 + t122 * t2142 - t132 * t2148 + t138 * t2159 + t145 * t2154;
  t2166 = t154 * t2071;
  t2176 = -t128 * t2136 * t339 - t112 * t2142 + t122 * t2136 + t128 * t2159 + t132 * t2154 + t145 * t2148;
  t2179 = t161 * t2071;
  t2189 = -t118 * t2136 * t339 + t112 * t2148 + t118 * t2159 - t122 * t2154 + t132 * t2136 + t145 * t2142;
  t2194 = t147 * t2071;
  t2208 = (-0.5000000000e0 * t373 * t2194 + 0.1e1 * t166 * t2164 - 0.5000000000e0 * t228 * t2179 + 0.1e1 * t13 * t2189 - 0.5000000000e0 * t284 * t2166 + t425 + 0.1e1 * t53 * t2176) * t174;
  t2211 = t373 * t2071;
  t2214 = t62 * t2164 + t149 * (-0.5000000000e0 * t228 * t2166 + 0.1e1 * t13 * t2176 + 0.5000000000e0 * t284 * t2179 - t457 - 0.1e1 * t53 * t2189) + 0.1e1 * t2208 * t166 - 0.5000000000e0 * t175 * t2211;
  t2220 = t186 * t2071;
  t2230 = -t1550 * t29 + t2084 * t54 + t2090 * t48 + t2096 * t59 - t2104 * t56 + t2107 * t29;
  t2233 = 0.5000000000e0 * t373 * t2072 - 0.1e1 * t166 * t2112 - 0.5000000000e0 * t284 * t2220 + t564 + 0.1e1 * t53 * t2230;
  t2248 = t228 * t2071;
  t2251 = t62 * t2189 + t149 * (0.5000000000e0 * t373 * t2166 - 0.1e1 * t166 * t2176 - 0.5000000000e0 * t284 * t2194 + t378 + 0.1e1 * t53 * t2164) + 0.1e1 * t2208 * t13 - 0.5000000000e0 * t175 * t2248;
  t2261 = -0.5000000000e0 * t373 * t2115 + 0.1e1 * t166 * t2125 + 0.5000000000e0 * t228 * t2220 - 0.1e1 * t13 * t2230;
  t2276 = t284 * t2071;
  t2279 = t62 * t2176 + t149 * (-0.5000000000e0 * t373 * t2179 + 0.1e1 * t166 * t2189 + 0.5000000000e0 * t228 * t2194 - 0.1e1 * t13 * t2164) + 0.1e1 * t2208 * t53 - 0.5000000000e0 * t175 * t2276 + t397;
  t2300 = t144 * t2154;
  t2303 = t513 * t2071;
  t2321 = (-0.5000000000e0 * t373 * t2220 + 0.1e1 * t166 * t2230 - 0.5000000000e0 * t228 * t2115 + 0.1e1 * t13 * t2125 - 0.5000000000e0 * t284 * t2072 + t403 + 0.1e1 * t53 * t2112) * t509;
  t2326 = t498 * t2112 + t500 * t2261 + 0.1e1 * t2321 * t53 - 0.5000000000e0 * t510 * t2276 + t622;
  t2329 = t520 * t2071;
  t2338 = t498 * t2125 + t500 * t2233 + 0.1e1 * t2321 * t13 - 0.5000000000e0 * t510 * t2248;
  t2347 = t144 * t2142;
  t2354 = t533 * t2071;
  t2363 = t498 * t2230 + t500 * t2128 + 0.1e1 * t2321 * t166 - 0.5000000000e0 * t510 * t2211;
  t2372 = t144 * t2148;
  t2418 = (t111 * t78 - t116 * t74) * t12;
  t2424 = (t111 * t93 - t116 * t89) * t12;
  t2430 = (-t100 * t116 + t102 * t111) * t12;
  t2433 = 0.1e1 * t2418 * t2 + 0.1e1 * t2424 * t5 + 0.1e1 * t2430 * t8;
  t2437 = t140 * t78 - t146 * t74;
  t2443 = -0.1e1 * t2418 * t8 + 0.1e1 * t2430 * t2;
  t2447 = -t100 * t146 + t102 * t140;
  t2453 = 0.1e1 * t2418 * t5 - 0.1e1 * t2424 * t2;
  t2457 = t140 * t93 - t146 * t89;
  t2463 = 0.1e1 * t2424 * t8 - 0.1e1 * t2430 * t5;
  t2471 = (t112 * t2463 + t118 * t2457 + t122 * t2453 + t128 * t2447 + t132 * t2443 + t138 * t2437) * t144;
  t2476 = -t138 * t2433 * t339 + t108 * t2437 + t112 * t2433 + t118 * t2447 + t122 * t2443 - t128 * t2457 - t132 * t2453 + t138 * t2471 + t145 * t2463;
  t2488 = -t128 * t2433 * t339 + t108 * t2447 - t112 * t2443 - t118 * t2437 + t122 * t2433 + t128 * t2471 + t132 * t2463 + t138 * t2457 + t145 * t2453;
  t2501 = -t118 * t2433 * t339 + t108 * t2457 + t112 * t2453 + t118 * t2471 - t122 * t2463 + t128 * t2437 + t132 * t2433 - t138 * t2447 + t145 * t2443;
  t2513 = (0.1e1 * t166 * t2476 + 0.1e1 * t13 * t2501 + 0.1e1 * t53 * t2488) * t174;
  t2516 = t62 * t2476 + t149 * (0.1e1 * t13 * t2488 - 0.1e1 * t53 * t2501) + 0.1e1 * t2513 * t166;
  t2527 = t62 * t2501 + t149 * (-0.1e1 * t166 * t2488 + 0.1e1 * t53 * t2476) + 0.1e1 * t2513 * t13;
  t2538 = t62 * t2488 + t149 * (0.1e1 * t166 * t2501 - 0.1e1 * t13 * t2476) + 0.1e1 * t2513 * t53;
  t2556 = t144 * t2463;
  t2562 = t144 * t2443;
  t2568 = t144 * t2453;
  t2595 = t69 * t111;
  t2597 = t72 * t116;
  t2600 = (-t109 * t68 + t2595 * t65 + t2597 * t65) * t12;
  t2607 = (-t109 * t86 + t2595 * t84 + t2597 * t84) * t12;
  t2611 = t67 * t69;
  t2613 = t67 * t72;
  t2616 = (-t109 * t64 - t111 * t2611 - t116 * t2613) * t12;
  t2619 = 0.1e1 * t2600 * t2 + 0.1e1 * t2607 * t5 + 0.1e1 * t2616 * t8;
  t2622 = t69 * t140;
  t2624 = t72 * t146;
  t2626 = -t136 * t68 + t2622 * t65 + t2624 * t65;
  t2632 = -0.1e1 * t2600 * t8 + 0.1e1 * t2616 * t2;
  t2637 = -t136 * t64 - t140 * t2611 - t146 * t2613;
  t2643 = 0.1e1 * t2600 * t5 - 0.1e1 * t2607 * t2;
  t2648 = -t136 * t86 + t2622 * t84 + t2624 * t84;
  t2654 = 0.1e1 * t2607 * t8 - 0.1e1 * t2616 * t5;
  t2662 = (t112 * t2654 + t118 * t2648 + t122 * t2643 + t128 * t2637 + t132 * t2632 + t138 * t2626) * t144;
  t2667 = -t138 * t2619 * t339 + t108 * t2626 + t112 * t2619 + t118 * t2637 + t122 * t2632 - t128 * t2648 - t132 * t2643 + t138 * t2662 + t145 * t2654;
  t2679 = -t128 * t2619 * t339 + t108 * t2637 - t112 * t2632 - t118 * t2626 + t122 * t2619 + t128 * t2662 + t132 * t2654 + t138 * t2648 + t145 * t2643;
  t2692 = -t118 * t2619 * t339 + t108 * t2648 + t112 * t2643 + t118 * t2662 - t122 * t2654 + t128 * t2626 + t132 * t2619 - t138 * t2637 + t145 * t2632;
  t2704 = (0.1e1 * t166 * t2667 + 0.1e1 * t13 * t2692 + 0.1e1 * t53 * t2679) * t174;
  t2707 = t62 * t2667 + t149 * (0.1e1 * t2679 * t13 - 0.1e1 * t53 * t2692) + 0.1e1 * t2704 * t166;
  t2718 = t62 * t2692 + t149 * (-0.1e1 * t166 * t2679 + 0.1e1 * t53 * t2667) + 0.1e1 * t2704 * t13;
  t2729 = t62 * t2679 + t149 * (0.1e1 * t166 * t2692 - 0.1e1 * t13 * t2667) + 0.1e1 * t2704 * t53;
  t2747 = t144 * t2654;
  t2753 = t144 * t2632;
  t2759 = t144 * t2643;
  t2787 = -t95;
  t2788 = t2787 * t12;
  t2791 = 0.1e1 * t2788 * t2 + t125;
  t2795 = -t132;
  t2797 = t8 * t122;
  t2802 = 0.1e1 * t2788 * t5 - t83;
  t2804 = t8 * t112;
  t2808 = t8 * t132;
  t2813 = (0.1e1 * t81 * t2804 + t138 * t2795 - 0.1e1 * t2788 * t2808 + t152 + t2802 * t122) * t144;
  t2819 = t2791 * t112 + t108 * t2795 - 0.1e1 * t2788 * t2797 - t2802 * t132 - t159 + t2813 * t138 - t673 * t2791 + 0.1e1 * t145 * t114;
  t2831 = t2791 * t122 + 0.1e1 * t81 * t2808 + t139 + 0.1e1 * t2788 * t2804 - t118 * t2795 + t2813 * t128 - t680 * t2791 + t145 * t2802;
  t2845 = t2791 * t132 + t113 - 0.1e1 * t81 * t2797 + t2802 * t112 + t2795 * t128 + t2813 * t118 - t690 * t2791 - 0.1e1 * t145 * t2788 * t8;
  t2857 = (0.1e1 * t166 * t2819 + 0.1e1 * t13 * t2845 + 0.1e1 * t53 * t2831) * t174;
  t2860 = t62 * t2819 + t149 * (0.1e1 * t13 * t2831 - 0.1e1 * t53 * t2845) + 0.1e1 * t2857 * t166;
  t2871 = t62 * t2845 + t149 * (-0.1e1 * t166 * t2831 + 0.1e1 * t53 * t2819) + 0.1e1 * t2857 * t13;
  t2882 = t62 * t2831 + t149 * (0.1e1 * t166 * t2845 - 0.1e1 * t13 * t2819) + 0.1e1 * t2857 * t53;
  t2900 = t144 * t80;
  t2907 = t144 * t2787;
  t2914 = t144 * t2802;
  t2944 = t508 * t500;
  t2947 = -t500 * t50 + t498 * t205 + 0.1e1 * t2944 * t53;
  t2954 = -t500 * t58 + t498 * t189 + 0.1e1 * t2944 * t13;
  t2966 = -t500 * t186 + t498 * t61 + 0.1e1 * t2944 * t166;
  t2092 = tK * (thetax + rtx - t222) * t225;
  t2119 = t549 * t523;
  t2138 = t599 * t536;
  t2157 = t629 * t544;
  t2180 = t549 * t533;
  t2187 = t599 * t520;
  t2196 = t629 * t513;
  energyGradient[0] = 0.1000000000e1 * t2092 * (-(t178 * t298 + t189 * t439 + t199 * t419 + t205 * t471 + t215 * t451 + t398 * t61) * t474 * t481 + (t178 * t416 + t186 * t398 + t199 * t295 + t215 * t281 + t439 * t58 + t471 * t50) * t217 * t491) + (t548 * (-0.2e1 * t2119 * t310 + 0.2e1 * t553 * t523 + 0.2e1 * t497 * (-0.5000000000e0 * t228 * t556 + 0.1e1 * t13 * t581 + 0.5000000000e0 * t284 * t584 - 0.1e1 * t53 * t593) - 0.2e1 * t2138 * t310 + 0.2e1 * t603 * t536 + 0.2e1 * t526 * (0.5000000000e0 * t373 * t556 + t609 - 0.1e1 * t166 * t581 - 0.5000000000e0 * t284 * t612 + 0.1e1 * t53 * t623) - 0.2e1 * t2157 * t310 + 0.2e1 * t633 * t544 + 0.2e1 * t539 * (-0.5000000000e0 * t373 * t584 - t639 + 0.1e1 * t166 * t593 + 0.5000000000e0 * t228 * t612 - 0.1e1 * t13 * t623)) + t658 * (0.2e1 * t2180 * t310 - 0.2e1 * t553 * t533 - 0.2e1 * t497 * t623 + 0.2e1 * t2187 * t310 - 0.2e1 * t603 * t520 - 0.2e1 * t526 * t593 + 0.2e1 * t2196 * t310 - 0.2e1 * t633 * t513 - 0.2e1 * t539 * t581)) * t225;
  energyGradient[1] = 0.1000000000e1 * t2092 * (-(t178 * t745 + t189 * t868 + t199 * t850 + t205 * t896 + t215 * t878 + t61 * t831) * t474 * t481 + (t178 * t847 + t186 * t831 + t199 * t742 + t215 * t729 + t50 * t896 + t58 * t868) * t217 * t491) + (t548 * (-0.2e1 * t2119 * t753 + 0.2e1 * t917 * t523 + 0.2e1 * t497 * (-0.5000000000e0 * t228 * t920 - t609 + 0.1e1 * t13 * t943 + 0.5000000000e0 * t284 * t946 - 0.1e1 * t53 * t955) - 0.2e1 * t2138 * t753 + 0.2e1 * t964 * t536 + 0.2e1 * t526 * (0.5000000000e0 * t373 * t920 - 0.1e1 * t166 * t943 - 0.5000000000e0 * t284 * t971 + 0.1e1 * t53 * t980) - 0.2e1 * t2157 * t753 + 0.2e1 * t989 * t544 + 0.2e1 * t539 * (-0.5000000000e0 * t373 * t946 + 0.1e1 * t166 * t955 + 0.5000000000e0 * t228 * t971 + t999 - 0.1e1 * t13 * t980)) + t658 * (0.2e1 * t2180 * t753 - 0.2e1 * t917 * t533 - 0.2e1 * t497 * t980 + 0.2e1 * t2187 * t753 - 0.2e1 * t964 * t520 - 0.2e1 * t526 * t955 + 0.2e1 * t2196 * t753 - 0.2e1 * t989 * t513 - 0.2e1 * t539 * t943)) * t225;
  energyGradient[2] = 0.1000000000e1 * t2092 * (-(t1093 * t178 + t1179 * t61 + t1198 * t199 + t1216 * t189 + t1226 * t215 + t1244 * t205) * t474 * t481 + (t1077 * t215 + t1090 * t199 + t1179 * t186 + t1195 * t178 + t1216 * t58 + t1244 * t50) * t217 * t491) + (t548 * (-0.2e1 * t2119 * t1101 + 0.2e1 * t1265 * t523 + 0.2e1 * t497 * (-0.5000000000e0 * t228 * t1268 + 0.1e1 * t13 * t1291 + 0.5000000000e0 * t284 * t1294 + t639 - 0.1e1 * t53 * t1303) - 0.2e1 * t2138 * t1101 + 0.2e1 * t1312 * t536 + 0.2e1 * t526 * (0.5000000000e0 * t373 * t1268 - 0.1e1 * t166 * t1291 - 0.5000000000e0 * t284 * t1319 - t999 + 0.1e1 * t53 * t1328) - 0.2e1 * t2157 * t1101 + 0.2e1 * t1337 * t544 + 0.2e1 * t539 * (-0.5000000000e0 * t373 * t1294 + 0.1e1 * t166 * t1303 + 0.5000000000e0 * t228 * t1319 - 0.1e1 * t13 * t1328)) + t658 * (0.2e1 * t2180 * t1101 - 0.2e1 * t1265 * t533 - 0.2e1 * t497 * t1328 + 0.2e1 * t2187 * t1101 - 0.2e1 * t1312 * t520 - 0.2e1 * t526 * t1303 + 0.2e1 * t2196 * t1101 - 0.2e1 * t1337 * t513 - 0.2e1 * t539 * t1291)) * t225;
  energyGradient[3] = 0.1000000000e1 * t2092 * (-(t1438 * t178 + t1524 * t61 + t1543 * t199 + t1561 * t189 + t1571 * t215 + t1589 * t205) * t474 * t481 + (t1422 * t215 + t1435 * t199 + t1524 * t186 + t1540 * t178 + t1561 * t58 + t1589 * t50) * t217 * t491) + (t548 * (-0.2e1 * t2119 * t1446 + 0.2e1 * t1610 * t523 + 0.2e1 * t497 * (-0.5000000000e0 * t228 * t1613 + 0.1e1 * t13 * t1636 + 0.5000000000e0 * t284 * t1639 - 0.1e1 * t53 * t1648) - 0.2e1 * t2138 * t1446 + 0.2e1 * t1657 * t536 + 0.2e1 * t526 * (0.5000000000e0 * t373 * t1613 - t609 - 0.1e1 * t166 * t1636 - 0.5000000000e0 * t284 * t1664 + 0.1e1 * t53 * t1673) - 0.2e1 * t2157 * t1446 + 0.2e1 * t1682 * t544 + 0.2e1 * t539 * (-0.5000000000e0 * t373 * t1639 + t639 + 0.1e1 * t166 * t1648 + 0.5000000000e0 * t228 * t1664 - 0.1e1 * t13 * t1673)) + t658 * (0.2e1 * t2180 * t1446 - 0.2e1 * t1610 * t533 - 0.2e1 * t497 * t1673 + 0.2e1 * t2187 * t1446 - 0.2e1 * t1657 * t520 - 0.2e1 * t526 * t1648 + 0.2e1 * t2196 * t1446 - 0.2e1 * t1682 * t513 - 0.2e1 * t539 * t1636)) * t225;
  energyGradient[4] = 0.1000000000e1 * t2092 * (-(t178 * t1783 + t1869 * t61 + t1888 * t199 + t189 * t1906 + t1916 * t215 + t1934 * t205) * t474 * t481 + (t1767 * t215 + t178 * t1885 + t1780 * t199 + t186 * t1869 + t1906 * t58 + t1934 * t50) * t217 * t491) + (t548 * (-0.2e1 * t2119 * t1791 + 0.2e1 * t1955 * t523 + 0.2e1 * t497 * (-0.5000000000e0 * t228 * t1958 + t609 + 0.1e1 * t13 * t1981 + 0.5000000000e0 * t284 * t1984 - 0.1e1 * t53 * t1993) - 0.2e1 * t2138 * t1791 + 0.2e1 * t2002 * t536 + 0.2e1 * t526 * (0.5000000000e0 * t373 * t1958 - 0.1e1 * t166 * t1981 - 0.5000000000e0 * t284 * t2009 + 0.1e1 * t53 * t2018) - 0.2e1 * t2157 * t1791 + 0.2e1 * t2027 * t544 + 0.2e1 * t539 * (-0.5000000000e0 * t373 * t1984 + 0.1e1 * t166 * t1993 + 0.5000000000e0 * t228 * t2009 - t999 - 0.1e1 * t13 * t2018)) + t658 * (0.2e1 * t2180 * t1791 - 0.2e1 * t1955 * t533 - 0.2e1 * t497 * t2018 + 0.2e1 * t2187 * t1791 - 0.2e1 * t2002 * t520 - 0.2e1 * t526 * t1993 + 0.2e1 * t2196 * t1791 - 0.2e1 * t2027 * t513 - 0.2e1 * t539 * t1981)) * t225;
  energyGradient[5] = 0.1000000000e1 * t2092 * (-(t178 * t2128 + t189 * t2251 + t199 * t2233 + t205 * t2279 + t215 * t2261 + t2214 * t61) * t474 * t481 + (t178 * t2230 + t186 * t2214 + t199 * t2125 + t2112 * t215 + t2251 * t58 + t2279 * t50) * t217 * t491) + (t548 * (-0.2e1 * t2119 * t2136 + 0.2e1 * t2300 * t523 + 0.2e1 * t497 * (-0.5000000000e0 * t228 * t2303 + 0.1e1 * t13 * t2326 + 0.5000000000e0 * t284 * t2329 - t639 - 0.1e1 * t53 * t2338) - 0.2e1 * t2138 * t2136 + 0.2e1 * t2347 * t536 + 0.2e1 * t526 * (0.5000000000e0 * t373 * t2303 - 0.1e1 * t166 * t2326 - 0.5000000000e0 * t284 * t2354 + t999 + 0.1e1 * t53 * t2363) - 0.2e1 * t2157 * t2136 + 0.2e1 * t2372 * t544 + 0.2e1 * t539 * (-0.5000000000e0 * t373 * t2329 + 0.1e1 * t166 * t2338 + 0.5000000000e0 * t228 * t2354 - 0.1e1 * t13 * t2363)) + t658 * (0.2e1 * t2180 * t2136 - 0.2e1 * t2300 * t533 - 0.2e1 * t497 * t2363 + 0.2e1 * t2187 * t2136 - 0.2e1 * t2347 * t520 - 0.2e1 * t526 * t2338 + 0.2e1 * t2196 * t2136 - 0.2e1 * t2372 * t513 - 0.2e1 * t539 * t2326)) * t225;
  energyGradient[6] = 0.1000000000e1 * t2092 * (-(t189 * t2527 + t205 * t2538 + t2516 * t61) * t474 * t481 + (t186 * t2516 + t2527 * t58 + t2538 * t50) * t217 * t491) + (t548 * (-0.2e1 * t2119 * t2433 + 0.2e1 * t2556 * t523 - 0.2e1 * t2138 * t2433 + 0.2e1 * t2562 * t536 - 0.2e1 * t2157 * t2433 + 0.2e1 * t2568 * t544) + t658 * (0.2e1 * t2180 * t2433 - 0.2e1 * t2556 * t533 + 0.2e1 * t2187 * t2433 - 0.2e1 * t2562 * t520 + 0.2e1 * t2196 * t2433 - 0.2e1 * t2568 * t513)) * t225;
  energyGradient[7] = 0.1000000000e1 * t2092 * (-(t2718 * t189 + t205 * t2729 + t2707 * t61) * t474 * t481 + (t186 * t2707 + t2718 * t58 + t2729 * t50) * t217 * t491) + (t548 * (-0.2e1 * t2119 * t2619 + 0.2e1 * t2747 * t523 - 0.2e1 * t2138 * t2619 + 0.2e1 * t2753 * t536 - 0.2e1 * t2157 * t2619 + 0.2e1 * t2759 * t544) + t658 * (0.2e1 * t2180 * t2619 - 0.2e1 * t2747 * t533 + 0.2e1 * t2187 * t2619 - 0.2e1 * t2753 * t520 + 0.2e1 * t2196 * t2619 - 0.2e1 * t2759 * t513)) * t225;
  energyGradient[8] = 0.1000000000e1 * t2092 * (-(t189 * t2871 + t205 * t2882 + t2860 * t61) * t474 * t481 + (t186 * t2860 + t2871 * t58 + t2882 * t50) * t217 * t491) + (t548 * (-0.2e1 * t2119 * t2791 + 0.2e1 * t2900 * t53 * t523 - 0.2e1 * t2138 * t2791 - 0.2e1 * t2907 * t53 * t536 - 0.2e1 * t2157 * t2791 + 0.2e1 * t2914 * t544) + t658 * (0.2e1 * t2180 * t2791 - 0.2e1 * t2900 * t534 + 0.2e1 * t2187 * t2791 + 0.2e1 * t2907 * t521 + 0.2e1 * t2196 * t2791 - 0.2e1 * t2914 * t513)) * t225;
  energyGradient[9] = 0.1000000000e1 * t2092 + (t548 * (0.2e1 * t497 * (0.1e1 * t13 * t2947 - 0.1e1 * t53 * t2954) + 0.2e1 * t526 * (-0.1e1 * t166 * t2947 + 0.1e1 * t53 * t2966) + 0.2e1 * t539 * (0.1e1 * t166 * t2954 - 0.1e1 * t13 * t2966)) + t658 * (-0.2e1 * t497 * t2966 - 0.2e1 * t526 * t2954 - 0.2e1 * t539 * t2947)) * t225;
}
